--cheat
--[[
GLOBAL.CHEATS_ENABLED = true
GLOBAL.require('debugkeys')
--]]

PrefabFiles = 
{
	"speartrap",
}

Assets = 
{
	Asset("ATLAS", "images/inventoryimages/speartrap.xml"),
	Asset("IMAGE", "minimap/speartrap.tex"),
	Asset("ATLAS", "minimap/speartrap.xml"),
}

AddMinimapAtlas("minimap/speartrap.xml")

local Recipe = GLOBAL.Recipe
local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH

local recipe_difficulty = GetModConfigData("SpearTrap_Difficulty")
if recipe_difficulty == "easy" then
	local recipes = 
	{
		Recipe("speartrap"
					,{Ingredient("spear",1)
						,Ingredient("log",1)
						,Ingredient("rope",1)
						}
					,RECIPETABS.WAR --fight
					,{SCIENCE=0}
			)
	}

	for k,v in pairs(recipes) do
		v.tagneeded = false
		v.atlas = "images/inventoryimages/" .. v.name .. ".xml"
	end
elseif recipe_difficulty == "normal" then
	local recipes = 
	{
		Recipe("speartrap"
					,{Ingredient("spear",4)
						,Ingredient("turf_woodfloor",1)
						,Ingredient("rope",2)
						}
					,RECIPETABS.WAR --fight
					,{SCIENCE=1}
			)
	}

	for k,v in pairs(recipes) do
		v.tagneeded = false
		v.atlas = "images/inventoryimages/" .. v.name .. ".xml"
	end
elseif recipe_difficulty == "hard" then
	local recipes = 
	{
		Recipe("speartrap"
					,{Ingredient("spear",4)
						,Ingredient("turf_woodfloor",2)
						,Ingredient("gears",2)
						}
					,RECIPETABS.WAR --fight
					,{SCIENCE=2}
			)
	}

	for k,v in pairs(recipes) do
		v.tagneeded = false
		v.atlas = "images/inventoryimages/" .. v.name .. ".xml"
	end
else --vhard
	local recipes = 
	{
		Recipe("speartrap"
					,{Ingredient("spear",4)
						,Ingredient("turf_woodfloor",4)
						,Ingredient("gears",4)
						,Ingredient("purplegem",1)
						}
					,RECIPETABS.WAR --fight
					,{SCIENCE=2}
			)
	}

	for k,v in pairs(recipes) do
		v.tagneeded = false
		v.atlas = "images/inventoryimages/" .. v.name .. ".xml"
	end
end

GLOBAL.STRINGS.NAMES.SPEARTRAP = "Spear Trap"
GLOBAL.STRINGS.RECIPE_DESC.SPEARTRAP = "Auto-resetting ouchies"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SPEARTRAP = "This'll hurt a little bit a lot"
